import { GistFile } from "gist/Gist";
export declare function syncGist(type: 'Gitee' | 'GitHub' | 'GitLab', token: string, gistId: string, files: Array<GistFile>): Promise<string>;
export declare function getGist(type: string, token: string, gistId: string): Promise<Map<string, GistFile>>;
export declare class Connection {
    host: string;
    port?: number;
    user: string;
    auth?: {
        password: string;
        encryptType: 'NONE' | 'AES';
    };
}
