import { Gist, GistFile } from "./Gist";
import { AxiosResponse, AxiosRequestConfig } from "axios";
declare class GitLab extends Gist {
    private readonly baseUrl;
    get(gist: string): Promise<Map<string, GistFile>>;
    sync(gist: string, gists: GistFile[]): Promise<string>;
    del(gist: string): Promise<boolean>;
    raw(gist: string, path: string): Promise<string>;
    _toMap(gist: string, result: any): Promise<Map<string, GistFile>>;
    request(request: AxiosRequestConfig): Promise<AxiosResponse>;
}
export default GitLab;
